Snapvisor Docs

Get the current project

Retrieve the project associated with the project token used to authenticate the request.

GET
/project

Retrieve the project associated with the project token used to authenticate the request.

Authorization

projectToken
AuthorizationBearer <token>

Authenticate as a project with a project token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <project-token>

You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/project"
{  "id": "string",  "account": {    "id": "string",    "slug": "string"  },  "name": "string",  "defaultBaseBranch": "string",  "hasRemoteContentAccess": true,  "autoApprovedBranchGlob": "string",  "deploymentProductionBranchGlob": "string",  "private": true,  "summaryCheck": "always",  "prCommentEnabled": true,  "githubActionsOidcEnabled": true,  "tokenlessAuthEnabled": true,  "deploymentEnabled": true,  "deploymentAuth": "public",  "defaultUserLevel": "admin",  "ignoreConfig": {    "enabled": true,    "autoIgnore": {      "changes": 1    }  }}